<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
          <groupId>org.xyzh</groupId>
          <artifactId>school-news</artifactId>
          <version>1.0.0</version>
    </parent>

    <groupId>org.xyzh</groupId>
    <artifactId>common</artifactId>
    <version>1.0.0</version>
    <packaging>pom</packaging>
    <modules>
        <module>common-core</module>
        <module>common-dto</module>
        <module>common-annotation</module>
        <module>common-exception</module>
        <module>common-redis</module>
        <module>common-jdbc</module>
        <module>common-util</module>
        <module>common-all</module>
    </modules>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
    </properties>
    <dependencies>
        <dependency>
            <groupId>jakarta.servlet</groupId>
            <artifactId>jakarta.servlet-api</artifactId>
            <version>${jakarta.servlet.version}</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-core</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-dto</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-annotation</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-exception</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-redis</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-jdbc</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>common-util</artifactId>
                <version>1.0.0</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>